$:.unshift File.expand_path('../lib', __FILE__)

require 'rspec'
require 'sqlite3'

require 'parole'

# Require our macros and extensions
Dir[File.expand_path('../../spec/support/macros/*.rb', __FILE__)].map(&method(:require))

RSpec.configure do |config|
  # Include our macros
  config.include DatabaseMacros
  config.include ModelMacros

  config.before(:each) do
    # Reset our commentable classes
    Parole.instance_variable_set(:@commentable_classes, nil)

    # Create the SQLite database
    setup_database

    # Run our migration
    run_default_migration
  end

  config.after(:each) do
    # Make sure we remove our test database file
    cleanup_database

    # Remove our models
    flush_models!
  end
end
